#!/usr/bin/python
# XML-RPC-Client
# (c) 2006 Jan Dittberner
# version: $Id$
#
from xmlrpclib import ServerProxy
import logging, sys

if __name__ == '__main__':
    server = ServerProxy('http://localhost:8080')
    logger = logging.getLogger()
    logging.basicConfig()

    sessionid = None
    try:
        sessionid = server.login('jan', 'heyyou97')
        if sessionid:
            print "Session %s" % sessionid
            print server.listdomains(sessionid)
            server.logout(sessionid)
        else:
            print "login failed"
    except Exception, v:
        logger.exception(v)
        if sessionid is not None:
            try:
                server.logout(sessionid)
            except Exception, vn:
                logger.exception(vn)
